Skip to main content
DELETE
/
api
/
v1
/
contract-templates
/
{templateId}
Delete contract template
curl --request DELETE \
  --url https://sandbox.oumla.com/api/v1/contract-templates/{templateId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-sdk-version: <x-sdk-version>'
import requests

url = "https://sandbox.oumla.com/api/v1/contract-templates/{templateId}"

headers = {
"x-sdk-version": "<x-sdk-version>",
"x-api-key": "<api-key>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {'x-sdk-version': '<x-sdk-version>', 'x-api-key': '<api-key>'}
};

fetch('https://sandbox.oumla.com/api/v1/contract-templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"code": "ERR_008",
"message": "You need to sign in to continue.",
"category": "AUTHORIZATION",
"statusCode": 401,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_009",
"message": "You don't have permission to do that.",
"category": "AUTHORIZATION",
"statusCode": 403,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_066",
"message": "Contract not found.",
"category": "RESOURCE",
"statusCode": 404,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_019",
"message": "Something went wrong on our side.",
"category": "SYSTEM",
"statusCode": 500,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Headers

x-sdk-version
string
default:1.0.0
required

SDK version header

Path Parameters

templateId
string
required

Contract template ID

Response

Contract template deleted

success
boolean